borg-with-lock(1)

Name
borg-with-lock - run a user specified command with the repository lock held

SYNOPSIS

borg [common options] with-lock [options] REPOSITORY COMMAND [ARGS...]

DESCRIPTION

This command runs a user-specified command while locking the repository. For example:

    $ borg with-lock /mnt/borgrepo rsync -av /mnt/borgrepo /somewhere/else/borgrepo

It will first try to acquire the lock (make sure that no other operation is running in the repository), then execute the given command as a subprocess and wait for its termination, release the lock, and return the user command's return code as Borg's return code.

Note: If you copy a repository with the lock held, the lock will be present in the copy. Thus, before using Borg on the copy from a different host, you need to use "borg break-lock" on the copied repository, because Borg is cautious and does not automatically remove stale locks made by a different host.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

REPOSITORY
    repository to lock

COMMAND
    command to run

ARGS
    command arguments

SEE ALSO

borg-common(1)

Author
The Borg Collective